defmodule DecentralisedBookIndex.Sync.DataTransformers.BidsTransformer do
  alias DecentralisedBookIndex.Sync.DataTransformers.BidTransformer

  def from_json(json_body) do
    json_body =
      if Map.has_key?(json_body, "data") do
        json_body["data"]
      else
        json_body
      end

    {:ok,
     Enum.map(
       json_body,
       fn record ->
         {:ok, record} = BidTransformer.from_json(record)
         record
       end
     )}
  end
end
