defmodule DecentralisedBookIndex.SyncTasks.SyncBookTaskTest do
  use DecentralisedBookIndex.DataCase

  alias DecentralisedBookIndex.SyncTasks.SyncBooksTask
  alias DecentralisedBookIndex.Metadata

  alias DecentralisedBookIndex.TestEndpoints
  @test_server_endpoint TestEndpoints.test_api_endpoint()

  describe "sync authors tasks" do
    test "sync authors" do
      server = generate(dbi_server(url: @test_server_endpoint))

      _book = generate(book())
      _book = generate(book())

      assert server = SyncBooksTask.sync(server)
    end
  end
end
